Bug 144457 - "read info on load" does not work in latest updates
"read info on load" does not work in latest updates
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 05:39 EST by Mephisto
Modified: 2008-05-06 20:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mephisto 2005-01-07 05:39:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
I have set my XMMS to read track info on load in the options, and this
stopped working since version xmms-1.2.10-10. when i got that update,
i tried to create a new playlist and noticed that the track info didnt
get read. i went back to xmms-1.2.10-9.1.1.fc3.fr and it worked fine
again. today i got this new verion (.11) and it still didnt work.
Just noticed this is only for MP3 files. OGG's and other files load
fine. The data does load when a song is played.

Version-Release number of selected component (if applicable):
xmms-1.2.10-11

How reproducible:
Always

Steps to Reproduce:
1. clear the playlist (not necessary, but makes things more obvious)
2. go to the options and set xmms to read info on load (preferences ->
options -> select 'load' -> ok)
3. open the playlist, right click -> add -> directory -> select some
folder with mp3's, preferably a lot.
    

Actual Results:  there are no track durations and id3 data in the playlist

Expected Results:  the mp3 data should have been loaded, and the
playlist should display the song/artist names from the id3 data and
the mp3 durations

Additional info:
Comment 1 Mephisto 2005-06-16 07:50:54 EDT
This bug seems to come from the mp3 placeholder plugin. With that plugin
disabled it works fine. I think the plugin should detect wether a real mp3
plugin is present and should deactivate itself or something like that, to
prevent confusion.
Comment 2 Marius Andreiana 2005-11-02 06:08:01 EST
I think this works ok in FC4+extras, as there's no mp3 placeholder plugin.
Please check.
Comment 3 Paul F. Johnson 2007-01-02 18:41:17 EST
There is a problem with doing that in that a file would need to be stored in
~/.xmms for each user which would need to be checked on each fire up which then
permanently (read for the session) kill the mp3 placeholder.

I'll certainly look into it.

Are you still getting the problem with the current xmms release?
Comment 4 Mephisto 2007-01-03 06:42:15 EST
Sorry, can't help you, i no longer use XMMS, i use Audacious these days...

Funny that this old bug from 2 years ago got revived again x)
Comment 5 Bug Zapper 2008-04-03 11:48:28 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:04:51 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.